Page MenuHomePhabricator

Drop flaggedrevs tables from mediawikiwiki
Closed, ResolvedPublic

Description

We installed FlaggedRevs on mediawiki.org for awhile. I removed it later. This was all ages ago. All the flagged* tables can be dropped safely from mediawikiwiki.

Event Timeline

demon triaged this task as Low priority.Feb 9 2018, 9:22 AM
demon created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2018, 9:22 AM
Marostegui moved this task from Triage to Backlog on the DBA board.Feb 9 2018, 9:43 AM

@demon all these?:

root@db1075[mediawikiwiki]> show tables like 'flaggedrevs%';
+----------------------------------------+
| Tables_in_mediawikiwiki (flaggedrevs%) |
+----------------------------------------+
| flaggedrevs                            |
| flaggedrevs_promote                    |
| flaggedrevs_statistics                 |
| flaggedrevs_stats                      |
| flaggedrevs_stats2                     |
| flaggedrevs_tracking                   |
+----------------------------------------+
6 rows in set (0.00 sec)
demon added a comment.Mar 26 2018, 4:16 PM

Yep, those are the ones.

I have placed a temporary backup on s3 master: db1075:/srv/tmp/flaggedrevs

Mentioned in SAL (#wikimedia-operations) [2018-04-04T07:53:04Z] <marostegui> Drop flaggedrevs from s3 mediawikiwiki - T186865

Marostegui closed this task as Resolved.Apr 4 2018, 7:59 AM
Marostegui claimed this task.

This is all done